import React from 'react';
import type { ComponentProps } from '../../types';
declare enum WeatherType {
    sunny = "sunny",
    cloudy = "cloudy",
    rainy = "rainy",
    snowy = "snowy",
    nighty = "nighty"
}
interface WeatherProps extends ComponentProps {
    type: WeatherType;
    duration?: number;
    iconDuration?: number;
}
declare const Weather: React.FC<WeatherProps>;
export default Weather;
